package com.sunxung.factoring.entity.underlying;

import com.baomidou.mybatisplus.annotation.TableField;
import com.sunxung.factoring.entity.BaseEntity;

import java.math.BigDecimal;

/**
 * @Description : 底层应收账款信息
 * @Author : L.Jia
 * @Date: 2022-03-02 10:56
 */
public class UnderlyingHisAccountsReceivableInfo extends BaseEntity {

    /**
     * 底层管理历史信息Id
     */
    @TableField("underlying_his_info_id")
    private Long underlyingHisInfoId;

    /**
     * 验收单基础信息表Id
     */
    @TableField("acceptance_basic_info_id")
    private Long acceptanceBasicInfoId;

    /**
     * 验收单货物信息表Id
     */
    @TableField("acceptance_goods_info_id")
    private Long acceptanceGoodsInfoId;

    /**
     * 货物名称
     */
    @TableField("goods_name")
    private String goodsName;

    /**
     * 厂家
     */
    @TableField("goods_factory")
    private String goodsFactory;

    /**
     * 型号
     */
    @TableField("goods_type")
    private String goodsType;

    /**
     * 单位
     */
    @TableField("goods_unit")
    private String goodsUnit;

    /**
     * 数量
     */
    @TableField("goods_quantity")
    private BigDecimal goodsQuantity;

    /**
     * 应收账款金额
     */
    @TableField("accounts_receivable_amount")
    private BigDecimal accountsReceivableAmount;

    /**
     * 应收账款净额
     */
    @TableField("net_accounts_receivable_amount")
    private BigDecimal netAccountsReceivableAmount;

    public Long getUnderlyingHisInfoId() {
        return underlyingHisInfoId;
    }

    public void setUnderlyingHisInfoId(Long underlyingHisInfoId) {
        this.underlyingHisInfoId = underlyingHisInfoId;
    }

    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public String getGoodsFactory() {
        return goodsFactory;
    }

    public void setGoodsFactory(String goodsFactory) {
        this.goodsFactory = goodsFactory;
    }

    public String getGoodsType() {
        return goodsType;
    }

    public void setGoodsType(String goodsType) {
        this.goodsType = goodsType;
    }

    public String getGoodsUnit() {
        return goodsUnit;
    }

    public void setGoodsUnit(String goodsUnit) {
        this.goodsUnit = goodsUnit;
    }

    public BigDecimal getGoodsQuantity() {
        return goodsQuantity;
    }

    public void setGoodsQuantity(BigDecimal goodsQuantity) {
        this.goodsQuantity = goodsQuantity;
    }

    public BigDecimal getAccountsReceivableAmount() {
        return accountsReceivableAmount;
    }

    public void setAccountsReceivableAmount(BigDecimal accountsReceivableAmount) {
        this.accountsReceivableAmount = accountsReceivableAmount;
    }

    public BigDecimal getNetAccountsReceivableAmount() {
        return netAccountsReceivableAmount;
    }

    public void setNetAccountsReceivableAmount(BigDecimal netAccountsReceivableAmount) {
        this.netAccountsReceivableAmount = netAccountsReceivableAmount;
    }

    public Long getAcceptanceBasicInfoId() {
        return acceptanceBasicInfoId;
    }

    public void setAcceptanceBasicInfoId(Long acceptanceBasicInfoId) {
        this.acceptanceBasicInfoId = acceptanceBasicInfoId;
    }

    public Long getAcceptanceGoodsInfoId() {
        return acceptanceGoodsInfoId;
    }

    public void setAcceptanceGoodsInfoId(Long acceptanceGoodsInfoId) {
        this.acceptanceGoodsInfoId = acceptanceGoodsInfoId;
    }
}
